clang-tools 10.0.0

Public Attributes | Friends | List of all members
clang::clangd::DocumentHighlight Struct Reference

A document highlight is a range inside a text document which deserves special attention. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DocumentHighlight:
[legend]

## Public Attributes
Range | range
| The range this highlight applies to. More...
DocumentHighlightKind | kind = DocumentHighlightKind::Text
| The highlight kind, default is DocumentHighlightKind.Text. More...

## Friends
bool | operator< (const DocumentHighlight &LHS, const DocumentHighlight &RHS)
bool | operator== (const DocumentHighlight &LHS, const DocumentHighlight &RHS)

## Detailed Description

A document highlight is a range inside a text document which deserves special attention.

Usually a document highlight is visualized by changing the background color of its range.

Definition at line 1099 of file Protocol.h.

## Friends And Related Function Documentation

## ◆ operator<

bool operator< | ( | const DocumentHighlight & | LHS,
|  | const DocumentHighlight & | RHS
| ) |  |
| friend

Definition at line 1106 of file Protocol.h.

## ◆ operator==

bool operator== | ( | const DocumentHighlight & | LHS,
|  | const DocumentHighlight & | RHS
| ) |  |
| friend

Definition at line 1113 of file Protocol.h.

## Member Data Documentation

## ◆ kind

DocumentHighlightKind clang::clangd::DocumentHighlight::kind = DocumentHighlightKind::Text

The highlight kind, default is DocumentHighlightKind.Text.

Definition at line 1104 of file Protocol.h.

Referenced by clang::clangd::operator<<().

## ◆ range

Range clang::clangd::DocumentHighlight::range

The range this highlight applies to.

Definition at line 1101 of file Protocol.h.

Referenced by clang::clangd::operator<<().

The documentation for this struct was generated from the following file:

- Protocol.h